<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::SubMesh Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#cd127d162c4271ac6b844161e1ea777a">_compileBoneAssignments</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#4770787312a616e8735c5d1a864bb1cb">_getRenderOperation</a>(RenderOperation &amp;rend, ushort lodIndex=0)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#bdd303710ef1131801f5017ef2eda1f2">addBoneAssignment</a>(const VertexBoneAssignment &amp;vertBoneAssign)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#be04d5342331ad434e47ca9b934a7622">addTextureAlias</a>(const String &amp;aliasName, const String &amp;textureName)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#243e656daab531eea35d8b9fb5dc3b11">AliasTextureIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#e6b4c1d0724fe6a9a961b73bd646d3cf">blendIndexToBoneIndexMap</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#9c23baff85d3b4f60e37f2a514be1ada">BoneAssignmentIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#2c29dd4601e67d3f6d26d7d74c017995">clearBoneAssignments</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#c63766998cb839ca582947d7545214f5">extremityPoints</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#f32a20ce7dd6ca470ce7e33e5dc7d7d9">generateExtremes</a>(size_t count)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#bafc1dfc5283643f0b5867392f512e3e">getAliasTextureIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#b37844a411ccea1cf06d1c95e10b71e2">getBoneAssignmentIterator</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#e9cd0e5fef6d82aba5d5c0bcbcfc65a5">getMaterialName</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#b80c14813793491559cf24c60f455fd4">getTextureAliasCount</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#116ae10a9b88b55c44c0583589b15b72">getVertexAnimationType</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#776598acc2a9c0d04d9019cd4137d905">hasTextureAliases</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ad428fa6595c7fb01ef7543e5d8d6454">indexData</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#77002e2ac2d5f5041e4b0fe3bd228245">IndexMap</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#e4d357805749a3193b821a1ff9bca7d1">isMatInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#1e190c3084110b7fa74a208f9c1f29f1">mBoneAssignments</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#97ac0719e0d2a1cd4f0ed4ec48a72912">mBoneAssignmentsOutOfDate</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a41a130f156b145bffb3f4b5172c4c93">Mesh</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#48305c54a01e0c7a3376ea0a077c467f">MeshSerializerImpl</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ef9901d67ded13a151aa3d4fde3a7b17">MeshSerializerImpl_v1_1</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#e60e96165c5d5495195fa0d49f031372">MeshSerializerImpl_v1_2</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#8d4605861beedf02d1520489ca204bca">mLodFaceList</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#c9cc28e9a11b69a815fa9b3e52cd76f7">mMaterialName</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#25a7ea86e4beaadd868dacb760330e52">mMatInitialised</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#b1f26bc16b9c1ea567ffcc4548e6466a">mTextureAliases</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#7b6ef63e9dd8945accbc942307c8fcea">mVertexAnimationType</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#10ed3ef8bb24a001bb89dc9e3cd88c31">operationType</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#c2b9fd25eb56625716d9e8915f4e0e7d">parent</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#8446f2b030ecd536933c0a39cdb3d61a">removeAllTextureAliases</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#2cf7a582517c07f7330235d3029a2cf8">removeLodLevels</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#9007b549c95c6fb1402818bf55b65b16">removeTextureAlias</a>(const String &amp;aliasName)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#0764481637920dcb9ccd6474c6a6b8de">setMaterialName</a>(const String &amp;matName)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a5e04097716119c5cfed229c8425fc60">SubMesh</a>()</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#2107e531c7161b312571d8977f9539e2">updateMaterialUsingTextureAliases</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#931e3764e3bf1c3ef7431fc852770fb1">useSharedVertices</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#b396ad138e9d8b48355d495215989881">VertexBoneAssignmentList</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#1862a3ec9a3f2ed4ade8af69b41a809d">vertexData</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#d0a51b024271c2042968e9e967dd39e8">~SubMesh</a>()</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:22 2008
</p>
</body>
</html>
